#ifndef FEDIPOTATO_GUI_DIALOG_ABOUT_HPP
#define FEDIPOTATO_GUI_DIALOG_ABOUT_HPP

#include "../ui/ui_dialog_about.h"

#include <QDialog>
#include <QLabel>

namespace FediPotato
{

class AboutDialog : public QDialog, private Ui::AboutDialog
{
public:
    //! Default constructor
    explicit AboutDialog(QDialog *parent = nullptr);

    //! Copy constructor
    AboutDialog(const AboutDialog &other) = delete;

    //! Move constructor
    AboutDialog(AboutDialog &&other) noexcept = delete;

    //! Destructor
    ~AboutDialog() noexcept override = default;

    //! Copy assignment operator
    AboutDialog& operator=(const AboutDialog &other) = delete;

    //! Move assignment operator
    AboutDialog& operator=(AboutDialog &&other) noexcept = delete;

public:

private:
    void display_authors() const;
    void display_credits() const;
};

} // namespace FediPotato

#endif  // FEDIPOTATO_GUI_DIALOG_ABOUT_HPP
