/*  This file is part of FediPotato.
 *  Copyright © 2020 tastytea <tastytea@tastytea.de>
 *
 *  This program is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU Affero General Public License as published by
 *  the Free Software Foundation, version 3.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU Affero General Public License for more details.
 *
 *  You should have received a copy of the GNU Affero General Public License
 *  along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

#include "widget_post.hpp"

namespace FediPotato
{

void PostWidget::show_hide_elements()
{
    const bool has_subject{!label_subject->text().isEmpty()};
    label_subject->setVisible(has_subject);
    button_show_more->setVisible(has_subject);
    label_content->setHidden(has_subject);

    if (label_avatar->pixmap() == nullptr)
    {
        set_avatar(":/images/no_avatar.svg");
    }
}

void PostWidget::toggled_button_show_more(const bool &toggled)
{
    label_content->setVisible(toggled);
}

} // namespace FediPotato
